<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_a827c5b" . "c10b88cc" . "ab760d95" . "c58bfbea" . "a" => base64_decode("Q291bGQgbm90IHBhcnNlI" . "HZhbHVlICI="), "_ac927f4168510971" . "a59508f1f08cf98a" => base64_decode("L15c" . "ZHs4" . "fSQv"), "_535e3fcb3f5d89c525bb618a08cc8d" . "cc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9yIGEgZG9jd" . "W1lbnQgb2JqZWN0"), "_66a6b98e1f1601e30de10" . "feb344fcdb6" => base64_decode("SW52YWxpZCB2YW" . "x1ZSAi"), "_a7fdbac2a6d0ebb5bb8" . "ea569e8173d7b" => base64_decode("IiBmb3IgZGF0" . "ZSBmaWVsZCA="), "_3aec16c1aa2104da778e412" . "207d6c415" => base64_decode("L15cZH" . "sxNH18" . "XGR7OH" . "0kLw=="), "_d155d43a39de9" . "3f858123c6b6ce" . "31d8a" => base64_decode("cHJlZ19" . "tYXRjaA" . "=="), "_bd71c3b5c201fc11db8" . "2ed14ce424de5" => base64_decode("aW5fYXJyY" . "Xk="), "_fa96cdf" . "58bff3b0" . "695fb2bc" . "0803d7b1" . "2" => base64_decode("IGRvZXM" . "gbm90IG" . "V4aXN0"), "_2cb499b4" . "51eb718f8" . "41aaa78dc" . "70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIG" . "ZpZWxkIA=="), "_bb26699a673361ff7c17444a2a82de" . "ba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3" . "IgZG9jdW1lbnQgbGluayBmaWVsZCA="), "_dc99f29eb9" . "7c274b4e47f" . "6701fb2d842" => base64_decode("TWV0YW" . "RhdGEg" . "ZmllbG" . "Qg"), "_4b4a03dbe69a4c39" . "db014be2875a7313" => base64_decode("Tm9uLW51bWVyaWMgdmFsd" . "WUgIg=="), "_27ba77e349cbe144e8794d0c0497a10" . "6" => base64_decode("IiBnaXZlbiBmb3Igc" . "2VsZWN0IGZpZWxkIA" . "=="), "_62d701c3c53404f0" . "6345eb35720a47b4" => base64_decode("aXNfbnVtZXJ" . "pYw=="), "_d013620d4b36b1d0350" . "9cbeff31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBmaW" . "VsZCA="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dc99f29eb9" . "7c274b4e47f" . "6701fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_fa96cdf58bff3b069" . "5fb2bc0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_62d701c3c53404f06345eb35720a47" . "b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4b4a03dbe69a4c39db014" . "be2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d013620d4b36b1d035" . "09cbeff31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d155d43a39de93f85" . "8123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3aec16c1aa2104da" . "778e412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a827c5bc10b88ccab760d95c58" . "bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_2cb499b451eb718f8" . "41aaa78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5c201fc11db82ed" . "14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_66a6b98e1f1601e30de10" . "feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_27ba77e349cbe" . "144e8794d0c049" . "7a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_62d701c3c53404f06345eb3572" . "0a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bb26699a673361ff7c174" . "44a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_535e3fcb3f5d89c525bb618a" . "08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d155d43a39de93f" . "858123c6b6ce31d8" . "a"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_ac927f4168510971a59508f1f08c" . "f98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a827c5bc10b88ccab760d9" . "5c58bfbeaa"] . $value . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a7fdbac2a6d0ebb" . "5bb8ea569e8173d7" . "b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}